=== debian/changelog ===
firmware-nonfree (20230210-5) unstable; urgency=medium

  * brcm80211: brcm: rename Rock960 NVRAM to AP6356S and link devices to it
    (Closes: #1035282)
  * Update to linux-support 6.1.0-8

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 May 2023 21:30:16 +0200

firmware-nonfree (20230210-4) unstable; urgency=medium

  * iwlwifi: Add missing files entry for iwlwifi-so-a0-hr-b0-72.ucode.
    Thanks to Jonathan Klabunde Tomer (Closes: #1032608)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 15:15:03 +0100

firmware-nonfree (20230210-3) unstable; urgency=medium

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc from description

  [ Diederik de Haas ]
  * Update to linux-support 6.1.0-6
  * brcm80211: brcm: Restore symlinks from cypress to brcm directory
    (Closes: #1032367)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 14:29:56 +0100

firmware-nonfree (20230210-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * brcm80211: Correct section for brcmfmac43430-sdio.AP6212.txt config
  * Update to linux-support 6.1.0-5

  [ Diederik de Haas ]
  * brcm80211: brcm: Add AzureWave AW-CM256SM NVRAM file
  * brcm80211: brcm: Add symlinks to AW-CM256SM NVRAM file

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc firmware (Closes: #837385)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 Feb 2023 18:02:15 +0100

firmware-nonfree (20230210-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update vangogh firmware
    - rtw88: 8822c: Update normal firmware to v9.9.14
    - brcm: restore previous firmware file for BCM4329 device

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.1.0-4
  * debian/copyright: Drop exclude-patters for files not anymore included
    upstream
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * iwlwifi: remove old unsupported older than 4.14 LTS
  * iwlwifi: remove 4.19 and 5.4 intermediate old firmwares
  * iwlwifi: remove 5.4 and 5.10 intermediate old firmwares
  * iwlwifi: remove 5.10 and 5.15 intermediate old firmwares
  * iwlwifi: remove old intermediate 5.15+ firmwares
  * amd-graphics: amdgpu: Add DCN 3.1.4 firmware
  * amd-graphics: amdgpu: Add GC 11.0.1 firmware
  * amd-graphics: amdgpu: Add SDMA 6.0.1 fimware
  * amd-graphics: amdgpu: Add PSP 13.0.4 firmware
  * amd-graphics: amdgpu: Add VCN 4.0.2 firmware
  * brcm80211: brcm: revert firmware files for Cypress devices
  * misc-nonfree: i915: Add DMC v2.18 for ADLP
  * misc-nonfree: i915: Add DMC v2.11 for MTL
  * Update module info from linux 6.1.0-4 on amd64

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Feb 2023 21:28:33 +0100

firmware-nonfree (20230117-2) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * qcom-soc: correct the description of qcom/leia*.fw
  * qcom-soc: add firmware for Adreno 200 family of GPU

  [ Salvatore Bonaccorso ]
  * debian/copyright: Add stanza for qcom/yamato* files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Feb 2023 15:13:43 +0100

firmware-nonfree (20230117-1) unstable; urgency=medium

  * New upstream version:
    - atheros: qca: Update firmware files for BT chip WCN6750
    - amd-graphics: Update renoir PSP firmware
    - amd-graphics: update renoir DMCUB firmware

  [ Didier Raboud ]
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7922)
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7921)
  * misc-nonfree: Update firmware for MT7922 WiFi device
  * misc-nonfree: Update firmware for MT7921 WiFi device
  * misc-nonfree: Update firmware cxgb4 to revision 1.27.1.0
  * amd-graphics: Update copyright date
  * iwlwifi: update 9000-family firmwares to core75-47
  * iwlwifi: update PNVM firmwares from core76-35 release
  * amd-graphics: update GC11.0.0 firmware from amd-5.4
  * amd-graphics: update PSP13.0.0 firmware from amd-5.4
  * amd-graphics: update SDMA6.0.0 firmware from amd-5.4
  * amd-graphics: update SMU13.0.0 firmware from amd-5.4
  * amd-graphics: update VCN4.0.0 firmware from amd-5.4
  * amd-graphics: add DCN3.2.1 firmware from amd-5.4
  * amd-graphics: add GC11.0.2 firmware from amd-5.4
  * amd-graphics: add PSP13.0.7 firmware from amd-5.4
  * amd-graphics: add SDMA6.0.2 firmware from amd-5.4
  * amd-graphics: add SMU13.0.7 firmware from amd-5.4
  * amd-graphics: add VCN4.0.4 firmware from amd-5.4
  * iwlwifi: Update firmware file for Intel Bluetooth 9260
  * iwlwifi: Update firmware file for Intel Bluetooth 9560
  * iwlwifi: Update firmware file for Intel Bluetooth AX200
  * iwlwifi: Update firmware file for Intel Bluetooth AX210
  * iwlwifi: Update firmware file for Intel Bluetooth AX211
  * iwlwifi: Update firmware file for Intel Bluetooth AX201
  * realtek: rtw89: 8852c: update fw to v0.27.56.10
  * Update modinfo from linux 6.1.0-3 on amd64

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: Add firmware to support RTL8852B chip
    (Closes: #1029708)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 31 Jan 2023 21:35:58 +0100

firmware-nonfree (20221214-5) unstable; urgency=medium

  * Add lintian overrides to appease bullseye's lintian:
     - license-problem-non-free-RFC (source): not needed for non-free
       packages, but needed since the move to non-free-firmware (which
       lintian 2.104.0 doesn't know about).
     - binary-with-bad-dynamic-table (firmware-qcom-soc): duplicate the
       existing override, without square brackets (since override formats
       changed across lintian versions).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jan 2023 19:47:36 +0100

firmware-nonfree (20221214-4) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update to linux-support 6.1.0-1
  * Update to the new linux-support API:
     - Replace self.templates[foo] with self.templates.get*(foo),
       merging the self.process_package() substitution in passing.

