=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: firmware-nonfree
-Section: non-free/kernel
+Section: non-free-firmware/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
@@ -11,7 +11,7 @@
 
 Package: firmware-linux
 Architecture: all
-Section: non-free/metapackages
+Section: non-free-firmware/metapackages
 Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
 Description: Binary firmware for various drivers in the Linux kernel (metapackage)
@@ -20,7 +20,7 @@
 
 Package: firmware-linux-nonfree
 Architecture: all
-Section: non-free/metapackages
+Section: non-free-firmware/metapackages
 Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
 Description: Binary firmware for various drivers in the Linux kernel (metapackage)
@@ -29,7 +29,7 @@
 
 Package: firmware-qcom-media
 Architecture: all
-Section: non-free/oldlibs
+Section: non-free-firmware/oldlibs
 Depends: firmware-qcom-soc, ${misc:Depends}
 Multi-Arch: foreign
 Description: Binary firmware for Qualcomm graphics/video (dummy package)
@@ -114,9 +114,11 @@
   * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
   * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
   * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
+  * DCN 3.1.4 DMCUB firmware (amdgpu/dcn_3_1_4_dmcub.bin)
   * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
   * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
   * DCN 3.2.0 DMCUB firmware (amdgpu/dcn_3_2_0_dmcub.bin)
+  * DCN 3.2.1 DMCUB firmware (amdgpu/dcn_3_2_1_dmcub.bin)
   * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
   * "Dimgrey Cavefish" DMCUB firmware
     (amdgpu/dimgrey_cavefish_dmcub.bin)
@@ -161,6 +163,20 @@
   * GC 11.0.0 MES firmware (amdgpu/gc_11_0_0_mes.bin)
   * GC 11.0.0 PFP firmware (amdgpu/gc_11_0_0_pfp.bin)
   * GC 11.0.0 RLC firmware (amdgpu/gc_11_0_0_rlc.bin)
+  * GC 11.0.1 IMU firmware (amdgpu/gc_11_0_1_imu.bin)
+  * GC 11.0.1 ME firmware (amdgpu/gc_11_0_1_me.bin)
+  * GC 11.0.1 MEC firmware (amdgpu/gc_11_0_1_mec.bin)
+  * GC 11.0.1 MES firmware (amdgpu/gc_11_0_1_mes.bin)
+  * GC 11.0.1 MES1 firmware (amdgpu/gc_11_0_1_mes1.bin)
+  * GC 11.0. PFP firmware (amdgpu/gc_11_0_1_pfp.bin)
+  * GC 11.0.1 RLC firmware (amdgpu/gc_11_0_1_rlc.bin)
+  * GC 11.0.2 IMU firmware (amdgpu/gc_11_0_2_imu.bin)
+  * GC 11.0.2 ME firmware (amdgpu/gc_11_0_2_me.bin)
+  * GC 11.0.2 MEC firmware (amdgpu/gc_11_0_2_mec.bin)
+  * GC 11.0.2 MES1 firmware (amdgpu/gc_11_0_2_mes1.bin)
+  * GC 11.0.2 MES firmware (amdgpu/gc_11_0_2_mes.bin)
+  * GC 11.0.2 PFP firmware (amdgpu/gc_11_0_2_pfp.bin)
+  * GC 11.0.2 RLC firmware (amdgpu/gc_11_0_2_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
   * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
   * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
@@ -212,18 +228,3 @@
     (amdgpu/kabini_sdma.bin)
   * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
     (amdgpu/kabini_sdma1.bin)
-  * Radeon HD 8100/8200/8300/8400 series UVD microcode
-    (amdgpu/kabini_uvd.bin)
-  * Radeon HD 8100/8200/8300/8400 series VCE microcode
-    (amdgpu/kabini_vce.bin)
-  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
-  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
-  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
-  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
-  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
-  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
-  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
-  * Radeon R5/R7 IGP 200 series SDMA1 microcode
-    (amdgpu/kaveri_sdma1.bin)
-  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
-  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)
