## firmware-nonfree 20230404

=== debian/changelog ===
firmware-nonfree (20230404-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update to linux-support 6.3.0-1mx-ahs

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2023 13:39:44 -0700

firmware-nonfree (20230404-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi: update core69 and core72 firmwares for So device
    - realtek: rtw89: 8852b: rollback firmware to v0.27.32.1
    - realtek: rtw89: 8852b: update format-1 fw to v0.29.29.0
    - misc-nonfree: mediatek: Update mt8192/mt8195 SCP firmware to support
      MM21 and MT21
    - misc-nonfree: i915: Update ADLP DMC to v2.19
    - misc-nonfree: i915: Update MTL DMC to v2.12
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX210
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX203
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX101
    - realtek: rtw88: 8822c: Update normal firmware to v9.9.15
    - amd-graphics: amdgpu: Update DCN 3.1.4 firmware
    - amd-graphics: amdgpu: Update GC 11.0.1 firmware
    - amd-graphics: amdgpu: Update PSP 13.0.4 firmware
    - iwlwifi: update 9000-family firmwares to core78-32
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7922)
    - misc-nonfree: linux-firmware: update firmware for MT7922 WiFi device
    - misc-nonfree: nvidia: update Tu10x and Tu11x signed firmware to support
      newer Turing HW

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: add format-1 fw v0.29.26.0
  * amd-graphics: amdgpu: Add GC 11.0.4 firmware
  * amd-graphics: amdgpu: Add PSP 13.0.11 firmware
  * Update module info from linux 6.3.0-1 on amd64

  [ Ben Hutchings ]
  * Update to linux-support 6.3.0-1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Jun 2023 21:30:15 +0200

firmware-nonfree (20230310-1~exp2) experimental; urgency=medium

  * intel-sound: intel: avs: Add AudioDSP base firmware for SKL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for APL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for CNL-based platforms
    (Closes: #1035281)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 May 2023 18:03:22 +0200

firmware-nonfree (20230310-1~exp1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: Update GC 11.0.1 firmware
    - ath10k: WCN3990 hw1.0: update board-2.bin
    - ath11k: WCN6750 hw1.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - rtl_bt: Update RTL8852C BT USB firmware to 0xD7B8_FABF
    - rtl_bt: Update RTL8822C BT UART firmware to 0x05C6_D2E3
    - rtl_bt: Update RTL8822C BT USB firmware to 0x0CC6_D2E3

  [ Salvatore Bonaccorso ]
  * Exclude ath9k_htc/htc_{7010,9271}-1.4.0.fw files from generated orig
    tarball
  * intel-sound: catpt: Add AudioDSP base firmware for BDW platforms
  * atheros: ath10k: QCA6174 hw3.0: update firmware-sdio-6.bin to version
    WLAN.RMH.4.4.1-00174
  * atheros: ath11k: WCN6855 hw2.0: update to
    WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.23
  * realtek: rtw89: 8852b: update fw to v0.29.26.0
  * realtek: rtw89: 8852b: update fw to v0.29.29.0
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * iwlwifi: iwlwifi: update core69 and core72 firmwares for Ty device
  * iwlwifi: Add missing stanza for iwlwifi-so-a0-gf4-a0-72.ucode firmware
  * Update to linux-support 6.1.0-7

  [ Diederik de Haas ]
  * d/patches/gitignore: Add DEP-3 header
  * d/README.source: Expand steps to regenerate debian/control
  * d/config/*/defines: Replace 'wifi' with 'Wi-Fi'

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 20:38:58 +0200
