=== debian/control ===
--- 
+++ 
@@ -177,6 +177,13 @@
   * GC 11.0.2 MES firmware (amdgpu/gc_11_0_2_mes.bin)
   * GC 11.0.2 PFP firmware (amdgpu/gc_11_0_2_pfp.bin)
   * GC 11.0.2 RLC firmware (amdgpu/gc_11_0_2_rlc.bin)
+  * GC 11.0.4 IMU firmware (amdgpu/gc_11_0_4_imu.bin)
+  * GC 11.0.4 ME firmware (amdgpu/gc_11_0_4_me.bin)
+  * GC 11.0.4 MEC firmware (amdgpu/gc_11_0_4_mec.bin)
+  * GC 11.0.4 MES firmware (amdgpu/gc_11_0_4_mes.bin)
+  * GC 11.0.4 MES1 firmware (amdgpu/gc_11_0_4_mes1.bin)
+  * GC 11.0.4 PFP firmware (amdgpu/gc_11_0_4_pfp.bin)
+  * GC 11.0.4 RLC firmware (amdgpu/gc_11_0_4_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
   * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
   * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
@@ -219,12 +226,3 @@
   * Radeon HD 8100/8200/8300/8400 series ME microcode
     (amdgpu/kabini_me.bin)
   * Radeon HD 8100/8200/8300/8400 series MEC microcode
-    (amdgpu/kabini_mec.bin)
-  * Radeon HD 8100/8200/8300/8400 series PFP microcode
-    (amdgpu/kabini_pfp.bin)
-  * Radeon HD 8100/8200/8300/8400 series RLC microcode
-    (amdgpu/kabini_rlc.bin)
-  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
-    (amdgpu/kabini_sdma.bin)
-  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
-    (amdgpu/kabini_sdma1.bin)
