=== debian/control ===
--- 
+++ 
@@ -120,7 +120,7 @@
   * DCN 3.2.0 DMCUB firmware (amdgpu/dcn_3_2_0_dmcub.bin)
   * DCN 3.2.1 DMCUB firmware (amdgpu/dcn_3_2_1_dmcub.bin)
   * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
-  * "Dimgrey Cavefish" DMCUB firmware
+  * "Dimgrey Cavefish" DMCUB firmware, version 0.0.172.0
     (amdgpu/dimgrey_cavefish_dmcub.bin)
   * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
   * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
@@ -168,7 +168,6 @@
   * GC 11.0.1 MEC firmware (amdgpu/gc_11_0_1_mec.bin)
   * GC 11.0.1 MES firmware (amdgpu/gc_11_0_1_mes.bin)
   * GC 11.0.1 MES1 firmware (amdgpu/gc_11_0_1_mes1.bin)
-  * GC 11.0.1 MES2 firmware (amdgpu/gc_11_0_1_mes_2.bin)
   * GC 11.0. PFP firmware (amdgpu/gc_11_0_1_pfp.bin)
   * GC 11.0.1 RLC firmware (amdgpu/gc_11_0_1_rlc.bin)
   * GC 11.0.2 IMU firmware (amdgpu/gc_11_0_2_imu.bin)
@@ -183,7 +182,6 @@
   * GC 11.0.4 MEC firmware (amdgpu/gc_11_0_4_mec.bin)
   * GC 11.0.4 MES firmware (amdgpu/gc_11_0_4_mes.bin)
   * GC 11.0.4 MES1 firmware (amdgpu/gc_11_0_4_mes1.bin)
-  * GC 11.0.4 MES2 firmware (amdgpu/gc_11_0_4_mes_2.bin)
   * GC 11.0.4 PFP firmware (amdgpu/gc_11_0_4_pfp.bin)
   * GC 11.0.4 RLC firmware (amdgpu/gc_11_0_4_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
@@ -225,3 +223,5 @@
   * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
   * Radeon HD 8100/8200/8300/8400 series CE microcode
     (amdgpu/kabini_ce.bin)
+  * Radeon HD 8100/8200/8300/8400 series ME microcode
+    (amdgpu/kabini_me.bin)
